<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateCareerJobsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: career_jobs
         */
        Schema::create('career_jobs', function ($table) {
            $table->increments('id');
            $table->string('title', 50)->nullable();
            $table->string('job_type', 250)->nullable();
            $table->string('location', 250)->nullable();
            $table->text('requirements')->nullable();
            $table->text('qualification')->nullable();
            $table->text('bonus')->nullable();
            $table->text('details')->nullable();
            $table->text('image')->nullable();
            $table->string('slug', 200)->nullable();
            $table->enum('status', ['Show','Hide'])->nullable();
            $table->string('user_type', 100)->nullable();
            $table->integer('user_id')->nullable();
            $table->string('upload_folder', 100)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('career_jobs');
    }
}
