<?php

namespace Litecms\Career\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CareerJobTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Career\Models\CareerJob $career_job)
    {
        return [
            'id'                => $career_job->getRouteKey(),
            'key'               => [
                'public'    => $career_job->getPublicKey(),
                'route'     => $career_job->getRouteKey(),
            ], 
            'id'                => $career_job->id,
            'title'             => $career_job->title,
            'job_type'          => $career_job->job_type,
            'location'          => $career_job->location,
            'requirements'      => $career_job->requirements,
            'qualification'     => $career_job->qualification,
            'bonus'             => $career_job->bonus,
            'details'           => $career_job->details,
            'image'             => $career_job->image,
            'slug'              => $career_job->slug,
            'status'            => $career_job->status,
            'user_type'         => $career_job->user_type,
            'user_id'           => $career_job->user_id,
            'upload_folder'     => $career_job->upload_folder,
            'deleted_at'        => $career_job->deleted_at,
            'created_at'        => $career_job->created_at,
            'updated_at'        => $career_job->updated_at,
            'url'               => [
                'public'    => trans_url('career/'.$career_job->getPublicKey()),
                'user'      => guard_url('career/career_job/'.$career_job->getRouteKey()),
            ], 
            'status'            => trans('app.'.$career_job->status),
            'created_at'        => format_date($career_job->created_at),
            'updated_at'        => format_date($career_job->updated_at),
        ];
    }
}