<?php

namespace Litecms\Career\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CareerResumeTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Career\Models\CareerResume $career_resume)
    {
        return [
            'id'                => $career_resume->getRouteKey(),
            'key'               => [
                'public'    => $career_resume->getPublicKey(),
                'route'     => $career_resume->getRouteKey(),
            ], 
            'id'                => $career_resume->id,
            'name'              => $career_resume->name,
            'email_id'          => $career_resume->email_id,
            'mobile'            => $career_resume->mobile,
            'message'           => $career_resume->message,
            'title'             => $career_resume->title,
            'resume'            => $career_resume->resume,
            'image'             => $career_resume->image,
            'job_id'            => $career_resume->job_id,
            'slug'              => $career_resume->slug,
            'published'         => $career_resume->published,
            'status'            => $career_resume->status,
            'user_id'           => $career_resume->user_id,
            'user_type'         => $career_resume->user_type,
            'upload_folder'     => $career_resume->upload_folder,
            'deleted_at'        => $career_resume->deleted_at,
            'created_at'        => $career_resume->created_at,
            'updated_at'        => $career_resume->updated_at,
            'url'               => [
                'public'    => trans_url('career/'.$career_resume->getPublicKey()),
                'user'      => guard_url('career/career_resume/'.$career_resume->getRouteKey()),
            ], 
            'status'            => trans('app.'.$career_resume->status),
            'created_at'        => format_date($career_resume->created_at),
            'updated_at'        => format_date($career_resume->updated_at),
        ];
    }
}